kshowmail.tdevelop: KShowMailApp Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KShowMailApp Class Reference

`#include <kshowmail.h>`

List of all members.

## Public Member Functions
| KShowMailApp ()
| ~KShowMailApp ()
void | delayNextRefresh ()
## Static Public Attributes
static TDEAboutData * | m_pAbout
## Protected Slots
void | slotStatusHelpMsg (const TQString &text)
void | slotStatusMsg (const TQString &text)
void | slotConfChanged ()
void | slotDelete ()
void | slotDeletionReady ()
void | slotShowMessage ()
void | slotShowMessageReady ()
void | slotNormalCursor ()
void | slotWaitingCursor ()
void | slotRefresh ()
void | slotRefreshReady ()
void | slotAlertDestroyed ()
void | slotAlertOk ()
void | slotRefreshView ()
void | slotStop ()
void | slotShowHeader ()
void | slotEditToolbars ()
void | slotSaveOptions ()
void | slotFileQuit ()
void | slotSetupAccount ()
void | slotSetup ()
void | slotShowFilterLog ()
void | slotAccountActivated (TQListViewItem *)
void | slotSendFeedbackMail ()
void | slotForceClose ()
## Protected Member Functions
void | initStatusBar ()
void | initActions ()
void | initDocument ()
void | initView ()
virtual bool | queryClose ()
virtual bool | queryExit ()
virtual void | timerEvent (TQTimerEvent *)
virtual bool | event (TQEvent *e)
void | initFirstRefresh ()
void | stopRefreshTimer ()
void | initNextRefresh ()
void | addFeatureList (KFeedbackQuestion *question)
bool | askCloseConfirmation ()
## Private Attributes
KshowmailDoc * | m_pDoc
KshowmailView * | m_pView
KCMultiDialog * | SetupDialog
TDEAction * | m_actionRefresh
ConfigList | m_ConfigList
AlertDialog * | m_pAlertDialog
KShowMailDock * | m_pDockWindow
TQTimer * | m_pTimer
Types::State_Type | m_state
unsigned long | m_nSecondsToGo
FilterLog | fLog
bool | m_bForceClose
## Friends
class | KshowmailView
class | KshowmailDock
class | UniqueApp

## Detailed Description

The base class for Kshowmail application windows. It sets up the main window and reads the config file as well as providing a menubar, toolbar and statusbar. An instance of KshowmailView creates your center view, which is connected to the window's Doc object. KShowMailApp reimplements the methods that TDEMainWindow provides for main window handling and supports full session management as well as keyboard accelerator configuration by using TDEAccel.

See also:
  TDEMainWindow

  TDEApplication

  TDEConfig

  TDEAccel

Author:
  Source Framework Automatically Generated by KDevelop, (c) The KDevelop Team.

Version:
  KDevelop version 0.4 code generation

## Constructor & Destructor Documentation

KShowMailApp::KShowMailApp | ( |  | ) |

Constructor of KShowMailApp, calls all init functions to create the application.

See also:
  initMenuBar initToolBar

KShowMailApp::~KShowMailApp | ( |  | ) |

Destructor

## Member Function Documentation

void KShowMailApp::delayNextRefresh | ( |  | ) |

Delays the next refresh for one minute.

void KShowMailApp::initStatusBar | ( |  | ) | `[protected]`

sets up the statusbar for the main window by initialzing a statuslabel.

void KShowMailApp::initActions | ( |  | ) | `[protected]`

sets up the actions.

void KShowMailApp::initDocument | ( |  | ) | `[protected]`

initializes the document object of the main window that is connected to the view in initView().

See also:
  initView();

void KShowMailApp::initView | ( |  | ) | `[protected]`

creates the centerwidget of the TDEMainWindow instance and sets it as the view

bool KShowMailApp::queryClose | ( |  | ) | `[protected, virtual]`

queryClose is called by TDEMainWindow on each closeEvent of a window. Against the default implementation (only returns true), this calles saveModified() on the document object to ask if the document should be saved if Modified; on cancel the closeEvent is rejected.

See also:
  TDEMainWindow::queryClose

  TDEMainWindow::closeEvent

bool KShowMailApp::queryExit | ( |  | ) | `[protected, virtual]`

queryExit is called by TDEMainWindow when the last window of the app is going to be closed during the closeEvent(). Against the default implementation that just returns true, this calls saveOptions() to save the settings of the last window's properties.

See also:
  TDEMainWindow::queryExit

  TDEMainWindow::closeEvent

void KShowMailApp::timerEvent | ( | TQTimerEvent * |  | ) | `[protected, virtual]`

overwrite method of TQObject; will be invoked by the internal TQObject-Timer the timer is set to 1 second in the construtor; this method sets the time to the next refresh in the statusbar and animates the "?" in the traybar, when the refresh is working

bool KShowMailApp::event | ( | TQEvent * | e | ) | `[protected, virtual]`

overwrite method of TQWidget; to hide the taskbar button

void KShowMailApp::initFirstRefresh | ( |  | ) | `[protected]`

Starts the first refresh or starts the refresh timer with the configured init time.

void KShowMailApp::stopRefreshTimer | ( |  | ) | `[protected]`

Stops the refresh timer.

void KShowMailApp::initNextRefresh | ( |  | ) | `[protected]`

Starts the refresh timer for the next refresh.

void KShowMailApp::slotStatusHelpMsg | ( | const TQString & | text | ) | `[protected, slot]`

Changes the status message of the whole statusbar for two seconds, then restores the last status. This is used to display statusbar messages that give information about actions for toolbar icons and menu entries.

Parameters:

  | text | the text that is displayed in the statusbar

void KShowMailApp::slotStatusMsg | ( | const TQString & | text | ) | `[protected, slot]`

Changes the contents in the left status bar item permanently, used to indicate current actions. And sets the current time in the right item.

Parameters:

  | text | the text that is displayed in the statusbar

void KShowMailApp::slotConfChanged | ( |  | ) | `[protected, slot]`

Connected with the setup dialog. Reloads the configuration, if it was changed from the dialog.

void KShowMailApp::slotDelete | ( |  | ) | `[protected, slot]`

Connected with action m_actionDelete. Deletes all selected mails.

void KShowMailApp::slotDeletionReady | ( |  | ) | `[protected, slot]`

Connected with signal sigDeleteReady of m_ConfigList. This signal will be emitted when one or many accounts have ended a deletion. This slot refreshes the view, sets the state to idle and sets a normal cursor.

void KShowMailApp::slotShowMessage | ( |  | ) | `[protected, slot]`

Connected with action m_actionShowMessage. Shows all selected mails.

void KShowMailApp::slotShowMessageReady | ( |  | ) | `[protected, slot]`

Connected with signal sigShowBodiesReady of m_ConfigList. This signal will be emitted when all accounts have downloaded and shown the selected messages. This slot sets the state to idle and sets a normal cursor.

void KShowMailApp::slotNormalCursor | ( |  | ) | `[protected, slot]`

Connected with signal sigMessageWindowOpened of m_ConfigList. This signal will be emitted when a window to show a mail body was opened. Switches the cursor to normal view.

void KShowMailApp::slotWaitingCursor | ( |  | ) | `[protected, slot]`

Connected with signal sigAllMessageWindowsClosed of m_ConfigList. This signal will be emitted when all windows to show a mail body have been closed. Switches the cursor to waiting view.

void KShowMailApp::slotRefresh | ( |  | ) | `[protected, slot]`

Connected with m_actionRefresh. Refreshes the mail list.

void KShowMailApp::slotRefreshReady | ( |  | ) | `[protected, slot]`

Connected with signal sigRefreshReady of m_ConfigList. This signal will be emitted when all accounts have refreshed their mail list. This slot refreshes the mail view.

void KShowMailApp::slotAlertDestroyed | ( |  | ) | `[protected, slot]`

Connected with signal destroyed of the alert message dialog. Sets m_pAlertDialog to NULL, if the dialog was destroyed. If m_pAlertDialog == NULL, slotRefreshReady will create a new instance of it.

See also:
  m_pAlertDialog

  slotRefreshReady()

void KShowMailApp::slotAlertOk | ( |  | ) | `[protected, slot]`

Connected with signal signalOk of the alert message dialog. Switches the main window to normal view.

See also:
  m_pAlertDialog;

void KShowMailApp::slotRefreshView | ( |  | ) | `[protected, slot]`

Refreshes the account and messages list view.

void KShowMailApp::slotStop | ( |  | ) | `[protected, slot]`

If the application state is not "idle" it will stop all current running POP3 jobs. Connected with m_actionStop().

void KShowMailApp::slotShowHeader | ( |  | ) | `[protected, slot]`

Shows the headers of all selected mails. Connected with action m_actionShowHeader.

void KShowMailApp::slotEditToolbars | ( |  | ) | `[protected, slot]`

Connected with standard action configureToolbars. Opens a dialog to configure the icons of the toolbar.

void KShowMailApp::slotSaveOptions | ( |  | ) | `[protected, slot]`

Saves GUI options, account and filter settings to the configuration file.

void KShowMailApp::slotFileQuit | ( |  | ) | `[protected, slot]`

Calls the close() method of KShowMailApp to exit the application. Uses askCloseConfirmation() to ask the user (if configured). Sets m_bForceClose to TRUE, therefore queryClose() will be passed without anything to do. After that in queryExit() slotSaveOptions() will be invoked.

void KShowMailApp::slotSetupAccount | ( |  | ) | `[protected, slot]`

Opens the setup dialog for the highlighted account. Connected with m_actionSetupAccount.

void KShowMailApp::slotSetup | ( |  | ) | `[protected, slot]`

Connected with the standard setup action. If the application state is "idle" (m_state == idle) it will open the configuration dialog.

void KShowMailApp::slotShowFilterLog | ( |  | ) | `[protected, slot]`

Shows the filter log.

void KShowMailApp::slotAccountActivated | ( | TQListViewItem * |  | ) | `[protected, slot]`

void KShowMailApp::slotSendFeedbackMail | ( |  | ) | `[protected, slot]`

void KShowMailApp::slotForceClose | ( |  | ) | `[protected, slot]`

void KShowMailApp::addFeatureList | ( | KFeedbackQuestion * | question | ) | `[protected]`

bool KShowMailApp::askCloseConfirmation | ( |  | ) | `[protected]`

## Friends And Related Function Documentation

friend class KshowmailView`[friend]`

friend class KshowmailDock`[friend]`

friend class UniqueApp`[friend]`

## Member Data Documentation

KshowmailDoc* KShowMailApp::m_pDoc`[private]`

The central document of our application. Just contains the view (m_pView).

KshowmailView* KShowMailApp::m_pView`[private]`

Contains the account and messages list views.

KCMultiDialog* KShowMailApp::SetupDialog`[private]`

The setup dialog. Created and used by slotSetup().

TDEAction* KShowMailApp::m_actionRefresh`[private]`

refresh messages action; connected with slotRefresh()

ConfigList KShowMailApp::m_ConfigList`[private]`

Contains the application and account settings. The account settings are stored in ConfigElem objects.

AlertDialog* KShowMailApp::m_pAlertDialog`[private]`

Message box which will be shown, when new mail has arrived.

KShowMailDock* KShowMailApp::m_pDockWindow`[private]`

The window into the system tray.

TQTimer* KShowMailApp::m_pTimer`[private]`

The refresh timer. Its timeout signal is connected with slotRefresh().

Types::State_Type KShowMailApp::m_state`[private]`

Application state during the run time. Shows what KShowMail is doing :-) .

unsigned long KShowMailApp::m_nSecondsToGo`[private]`

Number of seconds until the next refresh

FilterLog KShowMailApp::fLog`[private]`

The filter log.

TDEAboutData * KShowMailApp::m_pAbout`[static]`

Contains information about KShowMail, including author, license, version etc. This is accessed in main() when calling KShowMailApp::initMenuBar() to create the help menu.

bool KShowMailApp::m_bForceClose`[private]`

The documentation for this class was generated from the following files:

- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/kshowmail.h
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/kshowmail.cpp
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/kshowmailfeedback.cpp